Napolean Paced Mischeviously

    flipper-plugin
    TypeScript icon, indicating that this package has built-in type declarations

    0.146.1 • Public • Published

    flipper-plugin

    flipper-plugin is the dependency used by all modern Flipper plugins (project "Tommy").

    For background: https://fb.quip.com/YHOGAnaPqAVJ

    flipper-plugin is to be used as dev and peer dependency of all Flipper plugins. It provides:

    1. (TODO) Standard API's to interact with Flipper, such as the client connection.
    2. (TODO) Standard components to organize the UI
    3. (TODO) Testing utilities

    API's provided by flipper-plugin are documented at fbflipper.com (TODO).

    There should normally be no need to install flipper-plugin as dependency. Rather, plugins should be scaffolded using npx flipper-pkg init (TODO) as documented here

    Keywords

    Install

    npm i flipper-plugin

    DownloadsWeekly Downloads

    1,674

    Version

    0.146.1

    License

    MIT

    Unpacked Size

    781 kB

    Total Files

    329

    Last publish

    Collaborators

    • mweststrate
    • fb
    • flipper-bot